PRIOn Logo

CVE-2024-34356 Cross site scripting

Routine
Remediate Within 6 Months

CVE Information

Original CVE data

Published:
Updated:

TYPO3 is an enterprise content management system. Starting in version 9.0.0 and prior to versions 9.5.48 ELTS, 10.4.45 ELTS, 11.5.37 LTS, 12.4.15 LTS, and 13.1.1, the form manager backend module is vulnerable to cross-site scripting. Exploiting this vulnerability requires a valid backend user account with access to the form module. TYPO3 versions 9.5.48 ELTS, 10.4.45 ELTS, 11.5.37 LTS, 12.4.15 LTS, and 13.1.1 fix the problem described.

CWE:
CVSS v2-
CVSS v3-
References
https://github.com/TYPO3/typo3/security/advisories/GHSA-v6mw-h7w6-59w3
https://github.com/TYPO3/typo3/commit/2832e2f51f929aeddb5de7d667538a33ceda8156
https://github.com/TYPO3/typo3/commit/d0393a879a32fb4e3569acad6bdb5cda776be1e5
https://github.com/TYPO3/typo3/commit/e95a1224719efafb9cab2d85964f240fd0356e64
https://typo3.org/security/advisory/typo3-core-sa-2024-008
Affected Vendors

Basic Analysis

Common vulnerability metrics

Vulnerabilty type as detected by PRIOnengine

Cross site scripting

CVSS Scores as calculated by PRIOnengine
CVSS v23.5
AV:N/AC:M/AU:S/C:N/I:P/A:N
CVSS v35.4
AV:N/AC:L/PR:L/UI:R/S:C/C:L/I:L/A:N
MITRE CWE Top 25

-

Exploits

No exploit code is reported to exist.

Active Exploitation

Vulnerability is not in CISA's Known Exploited Vulnerabilities (KEV) catalog. See the KEV Catalog

Social Network Activity

-

Threat Actor Activity

No sightings of the vulnerability within threat reports.

Cybersecurity Frameworks

How the vulnerability maps against various cybersecurity frameworks

T1566.002 - Phishing (Spearphishing Link)
T1566 - Phishing
T1539 - Steal Web Session Cookie
T1190 - Exploit Public-Facing Application
T1189 - Drive-by Compromise
T1059 - Command and Scripting Interpreter

Compliance Impact

How the submited vulnerability affects compliance

PCI DSS v3.2.1-6.5.7 - Cross Site Scripting

Web Application Security Frameworks

Applicable if the issue likely affects a web application

WASC-8 - Cross Site Scripting